Skip to content
Start here

Get certificate log details

GET/radar/ct/logs/{log_slug}

Retrieves the requested certificate log information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Path ParametersExpand Collapse
log_slug: string

Certificate log slug.

maxLength100
Query ParametersExpand Collapse
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
ReturnsExpand Collapse
result: { certificateLog }
certificateLog: { api, avgThroughput, description, 12 more }
api: "RFC6962" or "STATIC"

The API standard that the certificate log follows.

One of the following:
"RFC6962"
"STATIC"
avgThroughput: number

The average throughput of the CT log, measured in certificates per hour (certs/hour).

description: string

A brief description of the certificate log.

endExclusive: string

The end date and time for when the log will stop accepting certificates.

formatdate-time
lastUpdate: string

Timestamp of the most recent update to the CT log.

formatdate-time
operator: string

The organization responsible for operating the certificate log.

performance: { endpoints, responseTime, uptime }

Log performance metrics, including averages and per-endpoint details.

endpoints: array of { endpoint, responseTime, uptime }
endpoint: "add-chain (new)" or "add-chain (old)" or "add-pre-chain (new)" or 4 more

The certificate log endpoint names used in performance metrics.

One of the following:
"add-chain (new)"
"add-chain (old)"
"add-pre-chain (new)"
"add-pre-chain (old)"
"get-entries"
"get-roots"
"get-sth"
responseTime: number
uptime: number
responseTime: number
uptime: number
One of the following:
slug: string

A URL-friendly, kebab-case identifier for the certificate log.

startInclusive: string

The start date and time for when the log starts accepting certificates.

formatdate-time
state: "USABLE" or "PENDING" or "QUALIFIED" or 3 more

The current state of the certificate log. More details about log states can be found here: https://googlechrome.github.io/CertificateTransparency/log_states.html

One of the following:
"USABLE"
"PENDING"
"QUALIFIED"
"READ_ONLY"
"RETIRED"
"REJECTED"
stateTimestamp: string

Timestamp of when the log state was last updated.

formatdate-time
submittableCertCount: string

Number of certificates that are eligible for inclusion to this log but have not been included yet. Based on certificates signed by trusted root CAs within the log’s accepted date range.

submittedCertCount: string

Number of certificates already included in this CT log.

url: string

The URL for the certificate log.

success: boolean

Get certificate log details

curl https://api.cloudflare.com/client/v4/radar/ct/logs/$LOG_SLUG \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "certificateLog": {
      "api": "RFC6962",
      "avgThroughput": 0,
      "description": "Google 'Argon2024' log",
      "endExclusive": "2025-01-01T00:00:00Z",
      "lastUpdate": "2025-01-01T00:00:00Z",
      "operator": "Google",
      "performance": {
        "endpoints": [
          {
            "endpoint": "add-chain (new)",
            "responseTime": 0,
            "uptime": 0
          }
        ],
        "responseTime": 0,
        "uptime": 0
      },
      "related": [
        {
          "description": "Google 'Argon2024' log",
          "endExclusive": "2025-01-01T00:00:00Z",
          "slug": "argon2024",
          "startInclusive": "2024-01-01T00:00:00Z",
          "state": "USABLE"
        }
      ],
      "slug": "argon2024",
      "startInclusive": "2024-01-01T00:00:00Z",
      "state": "USABLE",
      "stateTimestamp": "2025-02-01T08:53:20Z",
      "submittableCertCount": "10",
      "submittedCertCount": "10",
      "url": "https://ct.googleapis.com/logs/us1/argon2024/"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "certificateLog": {
      "api": "RFC6962",
      "avgThroughput": 0,
      "description": "Google 'Argon2024' log",
      "endExclusive": "2025-01-01T00:00:00Z",
      "lastUpdate": "2025-01-01T00:00:00Z",
      "operator": "Google",
      "performance": {
        "endpoints": [
          {
            "endpoint": "add-chain (new)",
            "responseTime": 0,
            "uptime": 0
          }
        ],
        "responseTime": 0,
        "uptime": 0
      },
      "related": [
        {
          "description": "Google 'Argon2024' log",
          "endExclusive": "2025-01-01T00:00:00Z",
          "slug": "argon2024",
          "startInclusive": "2024-01-01T00:00:00Z",
          "state": "USABLE"
        }
      ],
      "slug": "argon2024",
      "startInclusive": "2024-01-01T00:00:00Z",
      "state": "USABLE",
      "stateTimestamp": "2025-02-01T08:53:20Z",
      "submittableCertCount": "10",
      "submittedCertCount": "10",
      "url": "https://ct.googleapis.com/logs/us1/argon2024/"
    }
  },
  "success": true
}